<div *ngIf="isLoaded | async">
    <div class="info">
        <h2>Plano de treino</h2>

        <p class="description">
            <mat-icon>textsms</mat-icon>

            <b>Descrição:</b>&nbsp;{{ plan.description }}
        </p>
    </div>

    <ng-template [canView]="[4]">
        <div class="top-actions">
            <button
                mat-raised-button
                color="primary"
                class="add-button"
                (click)="openAddExercise()"
            >
                <mat-icon svgIcon="sprite:plus-circle"></mat-icon>
                Adicionar
            </button>
        </div>
    </ng-template>

    <div class="legend">
        <span class="exercise"> Exercício </span>
        <span class="circuit"> Circuito </span>
        <span class="reps"> Reps. | Tempo </span>
        <span class="sets"> Séries </span>
        <div class="actions"></div>
    </div>

    <div class="exercises">
        <training-exercise-card
            *ngFor="let exercise of plan.training_exercises"
            [exercise]="exercise"
        >
        </training-exercise-card>
    </div>
</div>
